Subject: [clisp-list] Re: index.html

From: Jim Newton <[email-masked]>
Date: Fri Oct 24 19:00:02 2003

There is a piece of software call SWIG http://www.swig.org which
apparently allows people to easily port C++ code to lots of
object oriented (and non-OO) languages.  I was disapointed to find
that lisp is not in the list of supported languages.  Why not?

I'm currently getting more and more involved in a openAccess
www.openeda.org which provides an open source implementation
of a data base that will soon become the industry standard
for EDA work.  The C++ API is ready to use, and people are
writing interfaces to lots of languages: Python, Ruby, Tcl.

I'd love to see CLISP on the list of supported languages for
openAccess, as I believe the CLOS system to be much nicer
and more powerful than the object system provided by Java
and Python, not to mention more performant.

Is there any interest currently in providing CLISP
support for SWIG?  or for openAccess for that matter?

thanks.  ( i hope your respond)

-jim

Sam Steingold wrote:
> Hi Jim,
> 
> 
>>I found your name on the www.clisp.org page.  I wonder if you might be
>>able to answer a few questions for me.
> 
> 
> <clisp-list> is the right place to ask these questions.
> 
> 
>>There is a piece of software call SWIG http://www.swig.org which
>>apparently allows people to easily port C++ code to lots of object
>>oriented (and non-OO) languages.  I was disapointed to find that lisp
>>is not in the list of supported languages.  Why not?
> 
> 
> <https://sourceforge.net/tracker/?func=detail&aid=429122&group_id=1645&atid=351645>
> please go ahead and add CLISP support - it should not be too hard, just
> a matter of some time investment.
>